ECNamedDomainParameters (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.crypto.params

## Class ECNamedDomainParameters

- java.lang.Object
- - org.bouncycastle.crypto.params.ECDomainParameters
  - - org.bouncycastle.crypto.params.ECNamedDomainParameters

- All Implemented Interfaces:
    ECConstants

      public class ECNamedDomainParameters
      extends ECDomainParameters

- - ### Field Summary

    - ### Fields inherited from interface org.bouncycastle.math.ec.ECConstants

      `EIGHT, FOUR, ONE, THREE, TWO, ZERO`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ECNamedDomainParameters(ASN1ObjectIdentifier name, ECCurve curve, ECPoint G, java.math.BigInteger n)`
    `ECNamedDomainParameters(ASN1ObjectIdentifier name, ECCurve curve, ECPoint G, java.math.BigInteger n, java.math.BigInteger h)`
    `ECNamedDomainParameters(ASN1ObjectIdentifier name, ECCurve curve, ECPoint G, java.math.BigInteger n, java.math.BigInteger h, byte[] seed)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ASN1ObjectIdentifier` | `getName()`

    - ### Methods inherited from class org.bouncycastle.crypto.params.ECDomainParameters

      `getCurve, getG, getH, getN, getSeed`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ECNamedDomainParameters

          public ECNamedDomainParameters(ASN1ObjectIdentifier name,
                                 ECCurve curve,
                                 ECPoint G,
                                 java.math.BigInteger n)

    - #### ECNamedDomainParameters

          public ECNamedDomainParameters(ASN1ObjectIdentifier name,
                                 ECCurve curve,
                                 ECPoint G,
                                 java.math.BigInteger n,
                                 java.math.BigInteger h)

    - #### ECNamedDomainParameters

          public ECNamedDomainParameters(ASN1ObjectIdentifier name,
                                 ECCurve curve,
                                 ECPoint G,
                                 java.math.BigInteger n,
                                 java.math.BigInteger h,
                                 byte[] seed)

  - ### Method Detail

    - #### getName

          public ASN1ObjectIdentifier getName()